<!DOCTYPE html>
<html>
<head>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

</head>
<body>

<h2>The XMLHttpRequest Object</h2>

<button type="button", onclick="loadDoc()"> Request data</button>
<p id="demo"></p>


<form method="post" id="testpost">
  {% csrf_token %}
  <input type="tel"/>
  <input type="submit" value="Check" id="but"/>
</form>


<script>
  function loadDoc(){
    $.ajax({
      url: "test/",
      type: 'GET',
      success: function(res){
        console.log(res);
        alert(res);
      },
      faiilure: function(res){
        alert("FUCK");
        console.log("SHIT");
      }
    });
  }

  $(function ()
  {
    $("#but").click(function (){
      $.ajax({
        type: 'POST',
        url: "check/",
        success: function(res){
        console.log(res);
        alert(res);
      },
      faiilure: function(res){
        alert("FUCK POST");
        console.log("SHIT POST");
      }
      })
    })
  })

</script>


<!-- <script>
  function loadDoc() {
    const xhttp = new XMLHttpRequest();
    xhttp.onload = function() {
      document.getElementById("demo").innerHTML = this.responseText;
    }
    xhttp.open("GET", "");
    xhttp.send();
  }
  </script> -->

</body>
</html>
